## org.omg.PortableInterceptor.ORBInitInfoPackage
Class DuplicateNameHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateNameHelper

public class DuplicateNameHelper
extends java.lang.Object

Helper class for : DuplicateName

Author:
  OpenORB Compiler

Constructor Summary
`DuplicateNameHelper()`

Method Summary
`static DuplicateName` `extract(Any a)` Extract DuplicateName from an any
`static java.lang.String` `id()` Return the DuplicateName IDL ID
`static void` `insert(Any a, DuplicateName t)` Insert DuplicateName into an any
`static DuplicateName` `read(InputStream istream)` Read DuplicateName from a marshalled stream
`static TypeCode` `type()` Return the DuplicateName TypeCode
`static void` `write(OutputStream ostream, DuplicateName value)` Write DuplicateName into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DuplicateNameHelper

    public DuplicateNameHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DuplicateName t)

  Insert DuplicateName into an any
  Parameters:
    `a` - an any
    `t` - DuplicateName value

### extract

    public static DuplicateName extract(Any a)

  Extract DuplicateName from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DuplicateName value

### type

    public static TypeCode type()

  Return the DuplicateName TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DuplicateName IDL ID
  Returns:
    an ID

### read

    public static DuplicateName read(InputStream istream)

  Read DuplicateName from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DuplicateName value

### write

    public static void write(OutputStream ostream,
                             DuplicateName value)

  Write DuplicateName into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DuplicateName value